
/**
 * La classe VIP décrit des personnes importantes.
 *
 * @author Philippe
 * @version 1
 */
public class VIP extends Personne
{
    private String titre;

    /**
     * Constructeur de VIP
     * 
     * @param titre le itre du VIP (Monseigneur, Maître...)
     * @param identite l'identité de la personne
     */
    public VIP(String titre, String identite)
    {
        super(identite);
        this.titre = titre;
    }

    /**
     * Dit bonjour.
     */
    public void saluer() {
        System.out.println("Bien le bonjour " + titre + " " + identite() + ".");
    }
    
    /**
     * Dit au revoir.
     */
    public void finalize() {
        System.out.println("Au revoir " + titre + " " + identite() + ".");
    }
}
